### Function

# GLib VariantType new_maybe

#### Declaration

    GVariantType*
    g_variant_type_new_maybe (
      const GVariantType* element
    )

#### Description

Constructs the type corresponding to a maybe instance containing type `type` or Nothing.

It is appropriate to call `g_variant_type_free()` on the return value.

#### Parameters

`element`

  Type: `GVariantType`

  A `GVariantType`.

  The data is owned by the caller of the function.

#### Return value

Type: `GVariantType`

A new maybe `GVariantType`

Since 2.24.

The caller of the function takes ownership of the data, and is responsible for freeing it.